SplFileInfo::getFilename
SplFileInfo::getInode
SplFileInfo
PHP Manual

# SplFileInfo::getGroup

(PHP 5 >= 5.1.2)

SplFileInfo::getGroup — Gets the file group

### Description

public int SplFileInfo::getGroup ( void )

Gets the file group. The group ID is returned in numerical format.

### Parameters

This function has no parameters.

### Return Values

The group id in numerical format.

### Errors/Exceptions

Throws RuntimeException on error.

### Examples

Example #1 SplFileInfo::getGroup() example

`<?php
$info = new SplFileInfo(__FILE__);
print_r(posix_getgrgid($info->getGroup()));`

The above example will output something similar to:

### See Also

- posix_getgrgid() - Return info about a group by group id

SplFileInfo::getFilename
SplFileInfo::getInode
SplFileInfo
PHP Manual